List calendar entries
GET
/api/v1/content/calendar
const url = 'https://api.ultimateteam.ai/api/v1/content/calendar?limit=50&offset=0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/content/calendar?limit=50&offset=0' \ --header 'X-API-Key: <X-API-Key>'List content calendar entries.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
CalendarEntryListResponse
Response body for listing calendar entries.
object
entries
required
Entries
Array<object>
CalendarEntryResponseResponse body for a single calendar entry.
object
autonomy_level
Autonomy Level
integer
channel
required
Channel
string
content_type
required
Content Type
string
created_at
required
Created At
string format: date-time
id
required
Id
string
performance_metrics
Performance Metrics
object
key
additional properties
any
scheduled_for
required
Scheduled For
string format: date-time
status
required
Status
string
target_keywords
Target Keywords
Array
tenant_id
required
Tenant Id
string
title
required
Title
string
topic
Topic
string
updated_at
required
Updated At
string format: date-time
total
required
Total
integer
Example
{ "entries": [ { "autonomy_level": 2, "topic": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}